Package net.shibboleth.idp.module.impl

# Class CoreIdPModule

java.lang.Object
net.shibboleth.profile.module.AbstractModule
net.shibboleth.profile.module.PropertyDrivenModule
net.shibboleth.idp.module.PropertyDrivenIdPModule
net.shibboleth.idp.module.impl.CoreIdPModule

All Implemented Interfaces:
  `IdPModule`, `Module`, `Component`, `IdentifiedComponent`

Direct Known Subclasses:
  `CAS`, `CommandLine`, `Consent`, `ContextCheck`, `Core`, `Demo`, `EditWebApp`, `ExpiringPassword`, `Hello`, `Impersonate`, `IPAddress`, `MFA`, `Password`, `SPNEGO`, `UnlockKeys`, `UserPrefs`, `Warning`, `X509`

public class CoreIdPModule extends PropertyDrivenIdPModule
Implementation base class for `IdPModule` that lives within the core code and whose documentation URLs will float with the IdP's own.

## Nested Class Summary

## Nested classes/interfaces inherited from class net.shibboleth.profile.module.AbstractModule

`AbstractModule.BasicModuleResource`

## Nested classes/interfaces inherited from interface net.shibboleth.profile.module.Module

`Module.ModuleResource, Module.ResourceResult`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MODULE_URL_BASE`
Documentation base URL.

### Fields inherited from class net.shibboleth.profile.module.PropertyDrivenModule

`DEFAULT_RESOURCE, MODULE_DESC_PROPERTY, MODULE_DEST_PROPERTY, MODULE_EXEC_PROPERTY, MODULE_LANGS_PROPERTY, MODULE_NAME_PROPERTY, MODULE_NONWINDOWS_PROPERTY, MODULE_OPTIONAL_PROPERTY, MODULE_PLUGIN_PROPERTY, MODULE_POSTDISABLE_PROPERTY, MODULE_POSTENABLE_PROPERTY, MODULE_REPLACE_PROPERTY, MODULE_SRC_PROPERTY, MODULE_URL_PROPERTY, MODULE_WINDOWS_PROPERTY`

### Fields inherited from interface net.shibboleth.idp.module.IdPModule

`IDPNEW_EXT_BASE, IDPSAVE_EXT`

## Constructor Summary

Constructors
Constructor
Description
`CoreIdPModule(Class<? extends IdPModule> claz)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`load()`
The override prepends a known documentation prefix to all module URLs.

### Methods inherited from class net.shibboleth.idp.module.PropertyDrivenIdPModule

`getNewExtension, getSaveExtension`

### Methods inherited from class net.shibboleth.profile.module.PropertyDrivenModule

`disable, enable, getDescription, getId, getName, getOwnerId, getURL, isHttpClientRequired, setURL`

### Methods inherited from class net.shibboleth.profile.module.AbstractModule

`equals, getResources, hashCode, isEnabled, setResources, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.module.Module

`disable, enable, enable, getDescription, getName, getOwnerId, getResources, getURL, isEnabled, isHttpClientRequired`

## Field Details

### MODULE_URL_BASE

@Nonnull @NotEmpty public static final String MODULE_URL_BASE
Documentation base URL.

See Also:
  - Constant Field Values

## Constructor Details

### CoreIdPModule

public CoreIdPModule(@Nonnull Class<? extends IdPModule> claz) throws IOException, ModuleException
Constructor.

Parameters:
  `claz` - implementation class of the module
Throws:
  `IOException` - if an I/O error occurs
  `ModuleException` - if a generic error occurs

## Method Details

### load

protected void load() throws ModuleException
The override prepends a known documentation prefix to all module URLs.

Overrides:
  `load` in class `PropertyDrivenModule`
Throws:
  `ModuleException`